#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);

    int n;
    cin >> n;

    pair<int,int> pr[n];
    for(int i = 0; i < n-1; i++)
    {
        cin >> pr[i].first >> pr[i].second;
        pr[i].first--,pr[i].second--;
    }

    n%2 ? cout << n-2 : cout << n-3;
}